Subject: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Dec 2020 22:54:33 +0200

> Date: Mon, 14 Dec 2020 20:25:30 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > However, this bug report said that scrolling becomes slower and slower
> > with time, and that is not expected, and I see no direct relation
> > between that and flickering.  Can we please go back to that aspect of
> > the problem?  It shouldn't happen.
> 
> I don't see any flickering. I only see the performance reduction when
> multiple frames are open.

If the performance hit is only a function of how many frames are
there, then this is expected.  I thought the performance got worse
with time, but maybe I misunderstood.

> If we MUST redraw these when nothing on the frame is to be updated,
> then I don't see there's very much we can do.

The problem is, we don't know whether something's changed.

OTOH, continuous scrolling is not supposed to be a frequent use
pattern in Emacs.

> Perhaps I should get rid of the internal border code, it's new to the
> NS port in Emacs 28.

You could definitely make it optional, so that people who'd like
faster redisplay could decide whether they are okay with giving up the
internal border.